### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Interface DiscoveryServiceInterface

All Superinterfaces:
  `DiscoveryAdminInterface`, `com.sas.entities.EntityKeyInterface`, `FindServiceInterface`, `Remote`, `RemoteServiceInterface`, `ServiceNotificationBroadcasterInterface`

All Known Subinterfaces:
  `LocalDiscoveryServiceInterface`, `RemoteDiscoveryServiceInterface`

All Known Implementing Classes:
  `ActivatableDiscoveryService`, `DiscoveryService`, `RemoteDiscoveryServiceProxy`

@SASScope("ALL") @BinaryCompatibilityOnly public interface DiscoveryServiceInterface extends FindServiceInterface, DiscoveryAdminInterface, RemoteServiceInterface
Interface describing a discovery service in terms of its capability to act as a mechanism to find services based upon a desired service template and an administration interface that's used to add/remove services to the registry and to add/remove discovery delegates. A discovery delegate is capable of finding services in the event that the implementing discovery service is unable to locate a desired service in its registry.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.discovery.FindServiceInterface

  `FIND_ALL_MATCHES, FIND_ONE_MATCH`

  ### Fields inherited from interface com.sas.services.RemoteServiceInterface

  `CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

- ## Method Summary

  ### Methods inherited from interface com.sas.services.discovery.DiscoveryAdminInterface

  `addDiscoveryDelegate, addService, getDiscoverers, getLocalServices, getRemoteServices, removeDiscoveryDelegate, removeService`

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.discovery.FindServiceInterface

  `findService, findServices, findServiceUsingId`

  ### Methods inherited from interface com.sas.services.RemoteServiceInterface

  `configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

  ### Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface

  `addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`